Bug 866591 - Blacklist subscription-manager Yum plugin on AMIs
Blacklist subscription-manager Yum plugin on AMIs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Kopecek
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 13:02 EDT by Jay Greguske
Modified: 2013-02-05 09:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 09:22:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Greguske 2012-10-15 13:02:03 EDT
In the 5.9 AMIs, we'd like to make sure subscription-manager is
*included*. This reverses previous desires; sub-man really didn't have a
place in an environment where you were already subscribed and getting
access to updates.

However, what we do need is the yum plugin that sub-man uses to be
disabled explicitly in a persistent yum configuration setting. This could be done
with a %post script in the kickstart file. If an AMI customer wants to
use sub-man, they will have to enable it manually.
Comment 2 Tomas Kopecek 2012-10-17 10:17:14 EDT
Fix will be part of snapshot 4 compose.
Comment 4 Tomas Kopecek 2012-11-05 04:46:54 EST
Fix is contained in snap4 and snap5 composes. Jay, can you upload them, please?
/mnt/redhat/rel-eng/RHEL5.9-Client-20121025.2/5/i386/appliance/RHEL5.9-Client-20121025.2-Client-i386-starter-ec2-sda.raw
/mnt/redhat/rel-eng/RHEL5.9-Client-20121025.2/5/x86_64/appliance/RHEL5.9-Client-20121025.2-Client-x86_64-starter-ec2-sda.raw
/mnt/redhat/rel-eng/RHEL5.9-Server-20121025.3/5/i386/appliance/RHEL5.9-Server-20121025.3-Server-i386-starter-ec2-sda.raw
/mnt/redhat/rel-eng/RHEL5.9-Server-20121025.3/5/x86_64/appliance/RHEL5.9-Server-20121025.3-Server-x86_64-starter-ec2-sda.raw
Comment 5 mkovacik 2012-12-21 10:12:37 EST
Verified in:
 ami-cdd35fa4  ami-cfd35fa6 ami-6dec6004 ami-61ec6008 (image validation bugs 889234, 889235, 889236, 889237)
Comment 6 Tomas Kopecek 2013-02-05 09:22:41 EST
As 5.9 GA is out, I'm closing this ticket.

Note You need to log in before you can comment on or make changes to this bug.